zenilib: _SDL_Joystick Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Public Attributes | List of all members
_SDL_Joystick Struct Reference

`#include <SDL_sysjoystick.h>`

## Classes

struct | balldelta

## Public Attributes

Sint16 * | axes
struct _SDL_Joystick::balldelta * | balls
Uint8 * | buttons
Uint8 | closed
Uint8 * | hats
struct joystick_hwdata * | hwdata
SDL_JoystickID | instance_id
char * | name
int | naxes
int | nballs
int | nbuttons
struct _SDL_Joystick * | next
int | nhats
int | ref_count
Uint8 | uncentered

## Detailed Description

Definition at line 29 of file SDL_sysjoystick.h.

## Member Data Documentation

Sint16* _SDL_Joystick::axes

Definition at line 35 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickClose(), SDL_JoystickGetAxis(), SDL_JoystickOpen(), and SDL_PrivateJoystickAxis().

struct _SDL_Joystick::balldelta * _SDL_Joystick::balls

Referenced by SDL_JoystickClose(), SDL_JoystickGetBall(), SDL_JoystickOpen(), and SDL_PrivateJoystickBall().

Uint8* _SDL_Joystick::buttons

Definition at line 47 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickClose(), SDL_JoystickGetButton(), SDL_JoystickOpen(), and SDL_PrivateJoystickButton().

Uint8 _SDL_Joystick::closed

Definition at line 53 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickUpdate(), SDL_PrivateJoystickAxis(), SDL_PrivateJoystickHat(), and SDL_PrivateJoystickValid().

Uint8* _SDL_Joystick::hats

Definition at line 38 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickClose(), SDL_JoystickGetHat(), SDL_JoystickOpen(), and SDL_PrivateJoystickHat().

struct joystick_hwdata* _SDL_Joystick::hwdata

Definition at line 49 of file SDL_sysjoystick.h.

SDL_JoystickID _SDL_Joystick::instance_id

Definition at line 31 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickInstanceID(), SDL_JoystickOpen(), SDL_PrivateJoystickAxis(), SDL_PrivateJoystickBall(), SDL_PrivateJoystickButton(), and SDL_PrivateJoystickHat().

char* _SDL_Joystick::name

Definition at line 32 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickClose(), SDL_JoystickName(), SDL_JoystickOpen(), and SDL_SYS_JoystickGetGUID().

int _SDL_Joystick::naxes

Definition at line 34 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickGetAxis(), SDL_JoystickNumAxes(), SDL_JoystickOpen(), SDL_JoystickUpdate(), SDL_PrivateJoystickAxis(), and SDL_SYS_JoystickOpen().

int _SDL_Joystick::nballs

Definition at line 40 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickGetBall(), SDL_JoystickNumBalls(), SDL_JoystickOpen(), SDL_PrivateJoystickBall(), and SDL_SYS_JoystickOpen().

int _SDL_Joystick::nbuttons

Definition at line 46 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickGetButton(), SDL_JoystickNumButtons(), SDL_JoystickOpen(), SDL_JoystickUpdate(), SDL_PrivateJoystickButton(), and SDL_SYS_JoystickOpen().

struct _SDL_Joystick* _SDL_Joystick::next

Definition at line 55 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickClose(), SDL_JoystickOpen(), and SDL_JoystickUpdate().

int _SDL_Joystick::nhats

Definition at line 37 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickGetHat(), SDL_JoystickNumHats(), SDL_JoystickOpen(), SDL_JoystickUpdate(), SDL_PrivateJoystickHat(), and SDL_SYS_JoystickOpen().

int _SDL_Joystick::ref_count

Definition at line 51 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickClose(), SDL_JoystickOpen(), SDL_JoystickQuit(), and SDL_JoystickUpdate().

Uint8 _SDL_Joystick::uncentered

Definition at line 54 of file SDL_sysjoystick.h.

Referenced by SDL_JoystickUpdate(), SDL_PrivateJoystickAxis(), and SDL_PrivateJoystickHat().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/joystick/SDL_sysjoystick.h